# API Horo Invest v2

This API is for our fictitious company Horo Invest, now in its 2.0 version, that operates on the brazillian stock market, as well as cryptocurrency and expecting future inclusion of currencies.

This project is of our own, and we made it during the Infnet Fullsatck (MERN) Bootcamp :)

## Authors
- Giulia Alzuguir

- Leonardo Meirelles

## Contact me: Giulia Alzuguir 

[![linkedin](https://img.shields.io/badge/LinkedIn-0077B5?style=for-the-badge&logo=linkedin&logoColor=white)](https://www.linkedin.com/in/giulia-alzuguir/?originalSubdomain=br)

[![GitHub](https://img.shields.io/badge/GitHub-100000?style=for-the-badge&logo=github&logoColor=white)](https://github.com/giualz)

[![GitLab](https://img.shields.io/badge/GitLab-330F63?style=for-the-badge&logo=gitlab&logoColor=white)](https://gitlab.com/giulia.souza)

[![Instagram](https://img.shields.io/badge/Instagram-E4405F?style=for-the-badge&logo=instagram&logoColor=white)](https://www.instagram.com/giualz/)

## Contact me: Leonardo Meirelles

[![linkedin](https://img.shields.io/badge/LinkedIn-0077B5?style=for-the-badge&logo=linkedin&logoColor=white)](https://www.linkedin.com/in/leomeirelles/)

[![GitHub](https://img.shields.io/badge/GitHub-100000?style=for-the-badge&logo=github&logoColor=white)](https://github.com/Leonardo-Meirelles)

[![GitLab](https://img.shields.io/badge/GitLab-330F63?style=for-the-badge&logo=gitlab&logoColor=white)](https://gitlab.com/leonardo.dmeirelles)

## Techs used

![JS](https://img.shields.io/badge/JavaScript-323330?style=for-the-badge&logo=javascript&logoColor=F7DF1E)

![Node](https://img.shields.io/badge/Node.js-43853D?style=for-the-badge&logo=node.js&logoColor=white)

![Express](https://img.shields.io/badge/Express.js-404D59?style=for-the-badge)

![Postgres](https://img.shields.io/badge/PostgreSQL-316192?style=for-the-badge&logo=postgresql&logoColor=white)

![Heroku](https://img.shields.io/badge/Heroku-430098?style=for-the-badge&logo=heroku&logoColor=white)

<img alt='Sequelize' src="https://cdn.jsdelivr.net/gh/devicons/devicon/icons/sequelize/sequelize-original-wordmark.svg" width='100' height='80' />

<img alt='JWT' src="http://jwt.io/img/logo-asset.svg" width='100' height='40' />

Bcrypt and Express-Validator (I didn't found a badge, sorry)

## Endpoints

```bash
  (MAIN URL) https://api-horo-invest-v2.herokuapp.com
```

```bash
  (POST) /login
```

```bash
  (POST) /register
```

```bash
  (GET) /users
```

```bash
  (GET) /cryptos
```

```bash
  (GET) /cryptos/orders
```

```bash
  (POST) /cryptos/store
```

```bash
  (POST) /cryptos/:id/order
```

```bash
  (DELETE) /user/orders/cryptos/:id/delete
```

```bash
  (GET) /stocks
```

```bash
  (GET) /stocks/orders
```

```bash
  (POST) /stocks/store
```

```bash
  (POST) /stocks/:id/order
```

```bash
  (DELETE) /user/orders/stocks/:id/delete
```

## License

[MIT](https://choosealicense.com/licenses/mit/)

  
## Run Locally

Clone the project

```bash
  git clone https://github.com/Leonardo-Meirelles/API_Horo_Invest_v2.git
```

Go to the project directory

```bash
  cd project directory
```

Install dependencies

```bash
  npm install
```

Start the server

```bash
  npm start 
```

  
